%define		_class		Translation2
%define		upstream_name	%{_class}

Name:		php-pear-%{upstream_name}
Version:	2.0.4
Release:	%mkrel 11
Summary:	Class for multilingual applications management
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Translation2/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear
Obsoletes:      php-pear-Translation
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

%description
This class provides an easy way to retrieve all the strings for a
multilingual site from a data source (i.e. db). A PEAR::DB and a
PEAR::MDB container are provided, more containers will follow. It is
designed to reduce the number of queries to the db, caching the
results when possible. An Admin class is provided to easily manage
translations (add/remove a language, add/remove a string).

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/docs/*
%{_bindir}/t2xmlchk.php
%{_datadir}/pear/%{_class}.php
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.0.4-11.mga8
+ Revision: 1499218
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.0.4-10.mga7
+ Revision: 1274085
- Mageia 7 Mass Rebuild

* Sat Mar 12 2016 umeabot <umeabot> 2.0.4-9.mga6
+ Revision: 989413
- Mageia 6 Mass Rebuild

* Mon Dec 08 2014 spuhler <spuhler> 2.0.4-8.mga5
+ Revision: 802294
- added Obsoletes:      php-pear-Translation
  * php-pear-Translation is very old and not maintained anymore
  * upstream says use php-pear-Translation2

* Wed Oct 29 2014 tv <tv> 2.0.4-7.mga5
+ Revision: 794498
- exclude deps from doc

* Wed Oct 15 2014 umeabot <umeabot> 2.0.4-6.mga5
+ Revision: 745026
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 2.0.4-5.mga5
+ Revision: 725203
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.4-4.mga5
+ Revision: 687498
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.4-3.mga4
+ Revision: 517228
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.0.4-2.mga3
+ Revision: 377377
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 spuhler <spuhler> 2.0.4-1.mga1
+ Revision: 28029
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Translation2


* Wed Dec 29 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.4-1mdv2011.0
+ Revision: 625901
- 2.0.4

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-6mdv2011.0
+ Revision: 607155
- rebuild

* Sun Nov 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.1-5mdv2010.1
+ Revision: 466330
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.0.1-4mdv2010.0
+ Revision: 426670
- rebuild

* Mon Apr 20 2009 Raphaël Gertz <rapsys@mandriva.org> 2.0.1-3mdv2009.1
+ Revision: 368292
- Increase release to override old 2.0.0beta8 known as 2.0.1 release
- Update php pear Translation2 to 2.0.1 stable version

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-2mdv2009.1
+ Revision: 321906
- rebuild

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.1-1mdv2009.1
+ Revision: 305817
- update to new version 2.0.1

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.0.0-11mdv2009.0
+ Revision: 224884
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-10mdv2008.1
+ Revision: 178540
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.0-9mdv2008.0
+ Revision: 90140
- rebuild


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-8mdv2007.0
+ Revision: 81236
- Import php-pear-Translation2

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-8mdk
- new group (Development/PHP)

* Mon Nov 07 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-7mdk
- 2.0.0beta8

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-1mdk
- initial Mandriva package (PLD import)

